using System;

namespace finale
{
    internal class Program
    {
        static void Main(string[] args)
        {
            long a, b, c;
            string[] str = Console.ReadLine().Split();
            a = long.Parse(str[0]);
            b = long.Parse(str[1]);
            c = 2 * b + (a - 2) * 2;
            c += ((b - 2) / 2) * ((a - 1) / 2);
            c += ((b - 1) / 2) * ((a - 2) / 2);
            Console.WriteLine(c);
        }
    }
}